# DrawingLayerOverlayEventArgs


## Inheritance Hierarchy

+ `Object`
  + `EventArgs`
    + **`DrawingLayerOverlayEventArgs`**

## Members Summary

### Public Constructors Summary


|Name|
|---|
|[`DrawingLayerOverlayEventArgs()`](#drawinglayeroverlayeventargs)|
|[`DrawingLayerOverlayEventArgs(GeoCanvas,Layer)`](#drawinglayeroverlayeventargsgeocanvaslayer)|
|[`DrawingLayerOverlayEventArgs(GeoCanvas,Layer,Boolean)`](#drawinglayeroverlayeventargsgeocanvaslayerboolean)|

### Protected Constructors Summary


|Name|
|---|
|N/A|

### Public Properties Summary

|Name|Return Type|Description|
|---|---|---|
|[`Cancel`](#cancel)|`Boolean`|Gets or sets a value indicating whether this  is cancel.|
|[`DrawingLayer`](#drawinglayer)|[`Layer`](../ThinkGeo.Core/ThinkGeo.Core.Layer.md)|Gets or sets the drawing layer.|
|[`GeoCanvas`](#geocanvas)|[`GeoCanvas`](../ThinkGeo.Core/ThinkGeo.Core.GeoCanvas.md)|Gets or sets the GeoCanvas.|

### Protected Properties Summary

|Name|Return Type|Description|
|---|---|---|
|N/A|N/A|N/A|

### Public Methods Summary


|Name|
|---|
|[`Equals(Object)`](#equalsobject)|
|[`GetHashCode()`](#gethashcode)|
|[`GetType()`](#gettype)|
|[`ToString()`](#tostring)|

### Protected Methods Summary


|Name|
|---|
|[`Finalize()`](#finalize)|
|[`MemberwiseClone()`](#memberwiseclone)|

### Public Events Summary


|Name|Event Arguments|Description|
|---|---|---|
|N/A|N/A|N/A|

## Members Detail

### Public Constructors


|Name|
|---|
|[`DrawingLayerOverlayEventArgs()`](#drawinglayeroverlayeventargs)|
|[`DrawingLayerOverlayEventArgs(GeoCanvas,Layer)`](#drawinglayeroverlayeventargsgeocanvaslayer)|
|[`DrawingLayerOverlayEventArgs(GeoCanvas,Layer,Boolean)`](#drawinglayeroverlayeventargsgeocanvaslayerboolean)|

### Protected Constructors


### Public Properties

#### `Cancel`

**Summary**

   *Gets or sets a value indicating whether this  is cancel.*

**Remarks**

   *N/A*

**Return Value**

`Boolean`

---
#### `DrawingLayer`

**Summary**

   *Gets or sets the drawing layer.*

**Remarks**

   *N/A*

**Return Value**

[`Layer`](../ThinkGeo.Core/ThinkGeo.Core.Layer.md)

---
#### `GeoCanvas`

**Summary**

   *Gets or sets the GeoCanvas.*

**Remarks**

   *N/A*

**Return Value**

[`GeoCanvas`](../ThinkGeo.Core/ThinkGeo.Core.GeoCanvas.md)

---

### Protected Properties


### Public Methods

#### `Equals(Object)`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Boolean`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|obj|`Object`|N/A|

---
#### `GetHashCode()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Int32`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---
#### `GetType()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Type`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---
#### `ToString()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`String`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---

### Protected Methods

#### `Finalize()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Void`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---
#### `MemberwiseClone()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Object`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---

### Public Events


